;;;;;;;;;;;;;;;;  Org Mode Stuff  ;;;;;;;;;;;;;;;;;;;;;;;;;;

;; org mode installiation

;; SET THESE TO YOUR OWN ORG MODE FILES
(setq load-path 
      (cons "/home/r/config/emacs/extend/org-mode/lisp" load-path))

(setq load-path 
      (cons "/home/r/config/emacs/extend/org-mode/contrib/lisp" load-path))

(require 'org-install)
(require 'ob-tangle)

;; don't use the dumb timestamp option
(setq org-publish-use-timestamps-flag nil)


;; org mode activation
(add-to-list 'auto-mode-alist '("\\.org$" . org-mode))

;; these conflicted with rudel
;;(global-set-key "\C-cl" 'org-store-link)
;;(global-set-key "\C-cc" 'org-capture)
;;(global-set-key "\C-ca" 'org-agenda)
;;(global-set-key "\C-cb" 'org-iswitchb)
(setq org-log-done t)
(transient-mark-mode 1)


;;; turn off shift select mode to enable S-combos in org mode
(setq shift-select-mode  nil)

;;; literate programming stuff

;; make the fonts of program source code appear as it normally
;; does in the language's major mode
(setq org-src-fontify-natively 't)

;; when switching to code-edit mode, replace the entire current 
;; window.
(setq org-src-window-setup 'current-window)

;; more crufty awsomeness -- keep source code the same between
;; org and the major mode editing window
(setq org-src-preserve-indentation 't)


;; don't ask to evaulate code, just do it.  
(setq org-confirm-babel-evaluate nil)


;; enable support for clojure and java
(require 'ob-clojure)
(require 'ob-java)

;; enable org-publish 
(require 'org-publish)

;; enable shell scripts
(require 'ob-sh)

;;; soooooo SAD.....
(setq org-export-html-preamble nil)

;; I don't like html export to take forever, or require a lisp
;; connection, and instead would rather individually export stuff.

(setq org-export-babel-evaluate nil)


;; (setq org-export-html-xml-declaration 
;;       (quote (("html" . "<?xml version=\"1.0\" encoding=\"utf-8\"?>")
;; 	      ("was-html" . "<?xml version=\"1.0\" encoding=\"%s\"?>")
;; 	      ("php" . "<?php echo \"<?xml version=\\\"1.0\\\" encoding=\\\"%s\\\" ?>\"; ?>"))))

(setq org-export-html-coding-system 'utf-8)


;;(setq reftex-default-bibliography
;;      (quote
;;       ("/home/r/aurellem/main.bib")))

(setq org-babel-default-header-args
      '((:session . "none")
	(:results . "replace")
	(:exports . "code")
	(:cache . "no")
	(:noweb . "yes")
	(:mkdirp . "yes")
	(:hlines . "no")
	(:tangle . "no")
	(:padnewline . "yes")))
;;;;;;;;;;;;;;;;;  End Org Mode Stuff  ;;;;;;;;;;;;;;;;;;;;;

